.fit-goal-section {
    margin-top: 100px;
    position: relative;
    width: 100%;
    height: 90vh;
    min-height: 80vh;
}

.fit-goal-bg-wrapper {
    position: absolute;
    top: 80px;
    left: 0;
    width: 100%;
    height: calc(100% - 80px);
    overflow: hidden;
    z-index: 0;
}

.fit-goal-bg-image {
    position: absolute;
    height: calc(100% - 80px);
    width: calc(100% - 100px);
    object-fit: contain;
    opacity: 0.4;
}

.fit-goal-line {
    position: relative;
    top: 80px;
    margin-right: 20%;
    background: linear-gradient(-90deg, #e6421d, rgba(0, 0, 0, 0));
    height: 2px;
    z-index: 1;
}


.fit-goal-blur-bg {
    position: absolute;
    bottom: 0%;
    left: 0;
    width: 100%;
    height: 15%;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0), #000);
    pointer-events: none;
}

.fit-goal-iphone-image {
    position: absolute;
    top: 0;
    right: 5%;
    width: 30vw;
    min-width: 220px;
    height: 100%;
    object-fit: contain;
    z-index: 1;
    object-position: top center;
}

.fit-goal-text-group {
    position: absolute;
    top: 20%;
    right: 37%;
    width: 75%;
    max-width: 500px;
    z-index: 2;
    display: flex;
    flex-direction: column;
}

.fit-goal-text-group .text-subtitle {
    text-align: right;
}
.fit-goal-text-group .text-title {
    text-align: right;
}

.fit-goal-line-text {
    margin: 0;
}

@media (max-width: 768px) {
    .fit-goal-section {
        margin-top: 40px;
        height: auto;
        min-height: auto;
        overflow: hidden;
    }

    .fit-goal-line {
        display: none;
    }

    .fit-goal-blur-bg {
        height: 100%;
        bottom: 150px;
    }

    .fit-goal-bg-image {
        left: 50%;
        bottom: 150px;
        transform: translateX(-50%);
        width: auto;
        height: 100%;
    }

    .fit-goal-iphone-image {
        position: relative;
        width: 60%;
        max-width: 280px;
        right: 0px;
        height: 400px;
        margin: 0 auto 20px;
        display: block;
        z-index: 1;
    }

    .fit-goal-text-group {
        position: relative;
        top: 0;
        left: 0;
        width: 100%;
        padding: 24px 16px;
        max-width: 100%;
        text-align: center;

    }

    .fit-goal-text-group .text-subtitle,
    .fit-goal-text-group .text-title {
        text-align: center;
    }
}